#pragma once

#include "CoreMinimal.h"
#include "CharacterClassDropdown.h"
#include "AISkillCharacterClass.generated.h"

class UAISkill;

USTRUCT(BlueprintType)
struct FAISkillCharacterClass
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FCharacterClassDropdown> Classes;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, Export)
	UAISkill* Skill;

public:
	DBDBOTS_API FAISkillCharacterClass();
};

FORCEINLINE uint32 GetTypeHash(const FAISkillCharacterClass) { return 0; }
